REM Last Changed: 07/19/2001
ECHO OFF
CLS

ECHO Building A Sample TSR Event Hook

REM About the switches used for compiling the TSR:
REM 
REM I use -O3 because I think that it is important to have a hook
REM execute as fast as possible both for the user's perception
REM and for battery life. 
REM
REM -outputbin to produce a binary form of the hook so it can be converted 
REM with ttbin2hex to an array for install.c
REM
REM you may want to add the switches -Wall and -W so tigcc does more
REM error checking


REM Pre-Compile the Tsr Event Hook. This will output a file called hook.bin

tigcc -O3 -outputbin clkhook.c



REM convert the raw binary image to an array

ttbin2hex -ss 2 -a tsr clkhook.bin array.h


REM compile the install program with the tsr hook included as an array.

REM tigcc -Os Install.c h220xtsr.a



ECHO Build Completed!
ECHO ON